package cn.wisenergy.chnmuseum.party.common.validator;

public class HttpResult {
    // 响应的状态码
    private int resultCode;

    // 响应的响应信息
    private String message;

    // 响应的响应体
    private Object data;

    public HttpResult() {
    }

    public HttpResult(int resultCode, String message) {
        this.resultCode = resultCode;
        this.message = message;
    }

    public HttpResult(int resultCode, Object data) {
        this.resultCode = resultCode;
        this.data = data;
    }

    public int getResultCode() {
        return resultCode;
    }

    public void setResultCode(int resultCode) {
        this.resultCode = resultCode;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public Object getData() {
        return data;
    }

    public void setData(Object data) {
        this.data = data;
    }

    @Override
    public String toString() {
        return "HttpResult{" +
                "resultCode=" + resultCode +
                ", message='" + message + '\'' +
                ", data=" + data +
                '}';
    }
}
