package cn.wisenergy.chnmuseum.party.mapper;

import cn.wisenergy.chnmuseum.party.model.TUser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.wisenergy.chnmuseum.party.model.Audit;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.querydsl.QPageRequest;

import java.util.List;

/**
 * <pre>
 * 学习内容信息 Mapper 接口
 * </pre>
 *
 * @author Danny Lee
 * @since 2021-03-26
 */
public interface AuditMapper extends BaseMapper<Audit> {

    List<Audit> getUserList(Page<Audit> page, @Param("user") TUser user);
}
