//package cn.wisenergy.chnmuseum.party.web.controller;
//
//import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
//import com.baomidou.mybatisplus.core.toolkit.Wrappers;
//import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
//import cn.wisenergy.chnmuseum.party.web.controller.base.BaseController;
//import cn.wisenergy.chnmuseum.party.model.TBoardPlayTrend;
//import cn.wisenergy.chnmuseum.party.service.TBoardPlayTrendService;
//import cn.wisenergy.chnmuseum.party.common.enums.AuditStatusEnum;
//import cn.wisenergy.chnmuseum.party.common.validator.groups.Add;
//import cn.wisenergy.chnmuseum.party.common.validator.groups.Update;
//import cn.wisenergy.chnmuseum.party.common.vo.GenericPageParam;
//
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiImplicitParam;
//import io.swagger.annotations.ApiImplicitParams;
//import io.swagger.annotations.ApiOperation;
//
//import lombok.extern.slf4j.Slf4j;
//import org.apache.commons.lang3.StringUtils;
//import org.apache.shiro.authz.annotation.RequiresPermissions;
//import org.springframework.validation.annotation.Validated;
//import org.springframework.web.bind.annotation.*;
//import org.springframework.stereotype.Controller;
//
//import javax.annotation.Resource;
//import javax.validation.constraints.NotNull;
//import java.util.List;
//import java.util.Map;
//
///**
// * <pre>
// * 展板播放趋势 前端控制器
// * </pre>
// *
// * @author Danny Lee
// * @since 2021-03-26
// */
//@Slf4j
//@RestController
//@RequestMapping("/tBoardPlayTrend")
//@Api(tags = {"展板播放趋势操作接口"})
//public class TBoardPlayTrendController extends BaseController {
//
//    @Resource
//    private TBoardPlayTrendService tBoardPlayTrendService;
//
//    @PostMapping("/batchSave")
//		@RequiresPermissions("t:board:play:trend:batch:save")
//		@ApiOperation(value = "批量添加展板播放趋势", notes = "批量添加展板播放趋势")
//    public Map<String, Object> batchSaveTBoardPlayTrend(@Validated(value = {Add.class}) List<TBoardPlayTrend> tBoardPlayTrendList) {
//        // 保存业务节点信息
//        boolean result = tBoardPlayTrendService.saveBatch(tBoardPlayTrendList);
//        // 返回操作结果
//        if (result) {
//            return getSuccessResult();
//        } else {
//            // 保存失败
//            return getFailResult();
//        }
//    }
//
//    @PostMapping("/save")
//		@RequiresPermissions("t:board:play:trend:save")
//		@ApiOperation(value = "添加展板播放趋势", notes = "添加展板播放趋势")
//	public Map<String, Object> saveTBoardPlayTrend(@Validated(value = {Add.class}) TBoardPlayTrend tBoardPlayTrend) {
//        // 保存业务节点信息
//        boolean result = tBoardPlayTrendService.save(tBoardPlayTrend);
//        // 返回操作结果
//        if (result) {
//            return getSuccessResult();
//        } else {
//            // 保存失败
//            return getFailResult();
//        }
//    }
//
//    @PutMapping("/update")
//		@RequiresPermissions("t:board:play:trend:update")
//	    @ApiOperation(value = "修改展板播放趋势信息", notes = "修改展板播放趋势信息")
//    public Map<String, Object> updateTBoardPlayTrend(@Validated(value = {Update.class}) TBoardPlayTrend tBoardPlayTrend) {
//            boolean flag = tBoardPlayTrendService.updateById(tBoardPlayTrend);
//            if (flag) {
//            return getSuccessResult();
//        }
//        return getFailResult();
//    }
//
////	@PutMapping("/updateAuditStatus/{id}")
////	@RequiresPermissions("t:board:play:trend:update:audit:status")
////	@ApiOperation(value = "更新展板播放趋势审核状态", notes = "更新展板播放趋势审核状态")
////	@ApiImplicitParams(value = {
////			@ApiImplicitParam(name = "id", value = "标识ID", dataType = "String", paramType = "path"),
////			@ApiImplicitParam(name = "status", value = "状态", paramType = "query", dataType = "String")
////	})
////	public Map<String, Object> updateStatus(@NotNull(message = "展板播放趋势ID不能为空") @PathVariable("id") String id, @RequestParam("status") AuditStatusEnum status) {
////		UpdateWrapper<TBoardPlayTrend> updateWrapper = new UpdateWrapper<>();
////		updateWrapper.eq("id", id);
////		updateWrapper.eq("audit_status", status.name());
////		boolean flag = tBoardPlayTrendService.update(updateWrapper);
////		if (flag) {
////		return getSuccessResult();
////		}
////		return getFailResult();
////    }
//
//    @DeleteMapping("/delete/{id}")
//		@RequiresPermissions("t:board:play:trend:delete")
//		@ApiOperation(value = "根据ID删除展板播放趋势", notes = "根据ID删除展板播放趋势")
//	@ApiImplicitParams(value = {
//			@ApiImplicitParam(name = "id", value = "标识ID", paramType = "path", dataType = "String")
//	})
//    public Map<String, Object> deleteTBoardPlayTrend(@PathVariable("id") String id) {
//        boolean result = tBoardPlayTrendService.removeById(id);
//        if (result) {
//            return getSuccessResult();
//        }
//        return getFailResult();
//    }
//
//    @GetMapping("/getList")
//		@RequiresPermissions("t:board:play:trend:list")
//		@ApiOperation(value = "获取展板播放趋势全部列表(无分页)", notes = "获取展板播放趋势全部列表(无分页)")
//	@ApiImplicitParams(value = {
//			@ApiImplicitParam(name = "auditStatus", value = "审核状态", paramType = "query", dataType = "String")
//	})
//    public Map<String, Object> getTBoardPlayTrendList(@RequestParam(value = "auditStatus", defaultValue = "APPROVED_FINAL", required = false) AuditStatusEnum auditStatus) {
//        List<TBoardPlayTrend> tBoardPlayTrendList = tBoardPlayTrendService.list();
//        return getResult(tBoardPlayTrendList);
//    }
//
//	@ApiImplicitParams(value = {
//			@ApiImplicitParam(name = "_index", value = "分页起始偏移量", paramType = "query", dataType = "Integer"),
//			@ApiImplicitParam(name = "_size", value = "返回条数", paramType = "query", dataType = "Integer"),
//			@ApiImplicitParam(name = "nameOrCode", value = "名称或编码", paramType = "query", dataType = "String"),
//			@ApiImplicitParam(name = "startDate", value = "创建时间-开始", paramType = "query", dataType = "String"),
//			@ApiImplicitParam(name = "endDate", value = "创建时间-结束", paramType = "query", dataType = "String")
//	})
//    @PostMapping("/getPageList")
//		@RequiresPermissions("t:board:play:trend:page")
//		@ApiOperation(value = "获取展板播放趋势分页列表", notes = "获取展板播放趋势分页列表")
//    public Map<String, Object> getTBoardPlayTrendPageList(GenericPageParam genericPageParam) {
//		LambdaQueryWrapper<TBoardPlayTrend> queryWrapper = new LambdaQueryWrapper<>();
//		// 对名称或编码模糊查询
////		if (StringUtils.isNotBlank(genericPageParam.getNameOrCode())) {
////			queryWrapper.like(TBoardPlayTrend::getName, genericPageParam.getNameOrCode());
////		}
////		// 根据创建时间区间检索
////		if (genericPageParam.getStartDate() != null && genericPageParam.getEndDate() != null) {
////			queryWrapper.ge(TBoardPlayTrend::getCreateTime, genericPageParam.getStartDate().atTime(0, 0, 0))
////				.le(TBoardPlayTrend::getCreateTime, genericPageParam.getEndDate().atTime(23, 59, 59));
////		}
////		// 设置排序规则
////		queryWrapper.orderByDesc(TBoardPlayTrend::getCreateTime);
////		// 设置查询内容
////		queryWrapper.select(
////				TBoardPlayTrend::getId,
////				TBoardPlayTrend::getName,
////				TBoardPlayTrend::getAuditStatus,
////				TBoardPlayTrend::getCreateTime,
////				TBoardPlayTrend::getUpdateTime);
//		Page<TBoardPlayTrend> page = this.tBoardPlayTrendService.page(getPage(), queryWrapper);
//		for (TBoardPlayTrend tBoardPlayTrend : page.getRecords()) {
//
//		}
//		return getResult(page);
//    }
//
//    @ApiOperation(value = "获取展板播放趋势详情", notes = "获取展板播放趋势详情")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "标识ID", dataType = "String", paramType = "path")
//    })
//    @GetMapping("/get/{id}")
//		@RequiresPermissions("t:board:play:trend:get:id")
//	    public Map<String, Object> getById(@PathVariable("id") String id) {
//        TBoardPlayTrend tBoardPlayTrend = tBoardPlayTrendService.getById(id);
//		return getResult(tBoardPlayTrend);
//    }
//
//}
//
